DOMImplementationListImpl (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.dom

## Class DOMImplementationListImpl

- java.lang.Object
- - org.apache.xerces.dom.DOMImplementationListImpl

- All Implemented Interfaces:
    org.w3c.dom.DOMImplementationList

      public class DOMImplementationListImpl
      extends java.lang.Object
      implements org.w3c.dom.DOMImplementationList

  This class implements the DOM Level 3 Core interface DOMImplementationList.

  Since:
    DOM Level 3 Core
  Author:
    Neil Delima, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMImplementationListImpl()` Construct an empty list of DOMImplementations
    `DOMImplementationListImpl(java.util.ArrayList params)` Construct a list of DOMImplementations from an ArrayList
    `DOMImplementationListImpl(java.util.Vector params)` Construct a list of DOMImplementations from a Vector

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` Returns the number of DOMImplementations in the list.
    `org.w3c.dom.DOMImplementation` | `item(int index)` Returns the indexth item in the collection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMImplementationListImpl

          public DOMImplementationListImpl()

      Construct an empty list of DOMImplementations

    - #### DOMImplementationListImpl

          public DOMImplementationListImpl(java.util.ArrayList params)

      Construct a list of DOMImplementations from an ArrayList

    - #### DOMImplementationListImpl

          public DOMImplementationListImpl(java.util.Vector params)

      Construct a list of DOMImplementations from a Vector

  - ### Method Detail

    - #### item

          public org.w3c.dom.DOMImplementation item(int index)

      Returns the indexth item in the collection.
      Specified by:
        `item` in interface `org.w3c.dom.DOMImplementationList`
      Parameters:
        `index` - The index of the DOMImplemetation from the list to return.
      Returns:
        The `DOMImplementation` at the `index` th position in the `DOMImplementationList`, or `null` if that is not a valid index.

    - #### getLength

          public int getLength()

      Returns the number of DOMImplementations in the list.
      Specified by:
        `getLength` in interface `org.w3c.dom.DOMImplementationList`
      Returns:
        An integer indicating the number of DOMImplementations.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.